# $Revision: 1.25 $, $Date: 2002/10/30 05:13:26 $
Summary:	Twin - a windowing environment
Summary:	Tekstowe rodowisko okienkowe
Name:		twin
Version:	0.4.5
Release:	1
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.sourceforge.net/pub/sourceforge/twin/%{name}-%{version}.tar.gz
URL:		http://twin.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:	gpm-devel
BuildRequires:	gtk+-devel
BuildRequires:	libggi-devel
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Twin is a windowing environment with mouse support, window manager,
terminal emulator and networked clients, all inside a text display.

It supports a variety of displays:
- plain text terminals (any termcap/ncurses compatible terminal, Linux
  console, twin's own terminal emulator);
- X11, where it can be used as a multi-window xterm;
- itself (you can display a twin on another twin);
- twdisplay, a general network-transparent display client, used to
  attach/detach more displays on-the-fly.

%description -l pl
Twin jest tekstowym rodowiskiem okienkowym - zmienia terminal
tekstowy w rodowisko podobne do menedera okien znanego ze rodowiska
X Window.

Obsuguje wywietlanie na:
- terminalach czysto tekstowych (dowolnym zgodnym z termcap/ncurses,
  konsoli Linuksa, wasnym emulatorze Twin)
- w systemie X Window, gdzie moe by uywany jako wielookienkowy
  xterm
- sobie samym (mona wywietla twin na innym twin)
- twdisplay, czyli oglnym, przeroczystym sieciowo kliencie, uywanym
  do doczania i odczania w locie.

%package devel
Summary:	Header files etc for developing twin applications
Summary(pl):	Pliki nagwkowe dla twin
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files etc for developing twin applications.

%description devel -l pl
Pliki nagwkowe i inne potrzebne do tworzenia programw opartych o
twin.

%package static
Summary:	Static twin libraries
Summary(pl):	Biblioteki statyczne twin
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static twin libraries.

%description static -l pl
Biblioteki statyczne twin.

%package TT-hw-gtk
Summary:	TT gtk driver for twin
Summary(pl):	Sterownik TT gtk do twin
Group:		Libraries
Requires:	%{name} = %{version}

%description TT-hw-gtk
gtk target driver for twin's TT library.

%description TT-hw-gtk -l pl
Sterownik wyjcia gtk do biblioteki TT z twin.

%package hw-X11
Summary:	X11 driver for twin
Summary(pl):	Sterownik X11 do twin
Group:		Libraries
Requires:	%{name} = %{version}

%description hw-X11
X11 driver for twin.

%description hw-X11 -l pl
Sterownik X11 do twin.

%package hw-ggi
Summary:	GGI driver for twin
Summary(pl):	Sterownik GGI do twin
Group:		Libraries
Requires:	%{name} = %{version}

%description hw-ggi
GGI driver for twin.

%description hw-ggi -l pl
Sterownik GGI do twin.

%package hw-tty
Summary:	TTY driver with GPM support for twin
Summary(pl):	Sterownik TTY z obsug GPM-a do twin
Group:		Libraries
Requires:	%{name} = %{version}

%description hw-tty
TTY driver with mouse support through GPM for twin.

%description hw-tty -l pl
Sterownik TTY z obsug myszy przez GPM do twin.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}

%configure
%{__make} CFLAGS="%{rpmcflags} -Wall -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man1

%{__make} install DESTDIR=$RPM_BUILD_ROOT

install docs/twin.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc BUGS Changelog.txt README TODO docs/{Compatibility,Philosophy,Tutorial}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/TT
%dir %{_libdir}/TT/HW
%attr(755,root,root) %{_libdir}/TT/HW/hw_twin.so*
%attr(755,root,root) %{_libdir}/TT/HW/hw_xml.so*
%dir %{_libdir}/twin
%{_libdir}/twin/system.*
%dir %{_libdir}/twin/modules
%attr(755,root,root) %{_libdir}/twin/modules/*.so*
%dir %{_libdir}/twin/modules/HW
%attr(755,root,root) %{_libdir}/twin/modules/HW/hw_display.so*
%attr(755,root,root) %{_libdir}/twin/modules/HW/hw_twin.so*
%dir %{_datadir}/twin
%dir %{_datadir}/twin/themes
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc docs/libTw.txt clients/README.twsetroot
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files TT-hw-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/TT/HW/hw_gtk.so*

%files hw-X11
%defattr(644,root,root,755)
%doc themes/hw_gfx/README
%attr(755,root,root) %{_libdir}/twin/modules/HW/hw_X*.so*
%attr(755,root,root) %{_libdir}/twin/modules/HW/hw_gfx.so*
%dir %{_datadir}/twin/themes/hw_gfx
%{_datadir}/twin/themes/hw_gfx/*.xpm

%files hw-ggi
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/twin/modules/HW/hw_ggi.so*

%files hw-tty
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/twin/modules/HW/hw_tty.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: twin.spec,v $
Revision 1.25  2002/10/30 05:13:26  kloczek
- updated to 0.4.5: bug fixes.

Revision 1.24  2002/10/09 13:14:49  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.23  2002/08/03 12:12:32  qboosh
- finished: separated subpackages with drivers which have different requirements

Revision 1.22  2002/08/03 08:38:22  qboosh
- updated file list, new %%doc, fixes in descriptions and more; NFY

Revision 1.21  2002/08/02 22:00:13  marcus
- updated to 0.4.4
- %%files need fixing

Revision 1.20  2002/04/02 18:36:15  kloczek
- removed using %%{__install} macro.

Revision 1.19  2002/02/23 04:55:17  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/02 20:39:56  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.16  2002/02/01 14:55:46  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.15  2002/01/28 10:31:00  marcus
-s/%%{x86}/%%{ix86}/g

Revision 1.14  2002/01/18 02:15:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/13 17:42:06  djrzulf
- added polish Summary and Description

Revision 1.12  2001/06/29 07:33:29  kloczek
- updated to 0.3.9,
- removed obsoleted makeinstall patch.

Revision 1.11  2001/04/30 16:05:31  kloczek
- added using %%{rpmcflags} macro.

Revision 1.10  2001/03/11 21:09:47  kloczek
- updated to 0.3.8,
- enable ggi backend module also on sparc,
- removed obsoletes patches.

Revision 1.9  2001/03/11 07:19:10  qboosh
- makeinstall patch: don't make everything second time on make install

Revision 1.8  2001/02/24 14:18:43  kloczek
- release 5.

Revision 1.7  2001/02/23 16:02:29  malekith
Added patch to reconise /dev/vc/* as linux console.

Revision 1.6  2001/02/23 03:55:50  kloczek
- release 4: use ggi, gii only on %%{ix86}.

Revision 1.5  2001/02/22 23:33:34  pawelk
- added BuildRequires:  libgii-devel
- added Tutorial and one README.xxxxx to doc

Revision 1.4  2001/02/22 19:03:33  kloczek
- fixed DESTDIR patch (misiek) - seems twin wokr now :).

Revision 1.3  2001/02/22 07:31:49  kloczek
- release 2: added %%{_bibdir}/* to %files list.

Revision 1.2  2001/02/22 05:30:36  kloczek
- cosmetics.

Revision 1.1  2001/02/22 05:29:57  kloczek
- written from scrach - reiady to taste but still need some work (separate
  modules in subpackage).
